import React from "react";
type Props = {
    header?: React.ReactElement,
    children: React.ReactNode,
    footer?: React.ReactElement,
}

function BaseLayout({header, footer, children}: Props) {
    return (
    <>
        <header>
            {header}
        </header>

        <main>
            {children}
        </main>

        <footer>
            {footer}
        </footer>
    </>
    );
  }
  
  export default BaseLayout;
  